Intermittent browser_aboutHealthReport.js | Verifying that we can get the proper Telemetry ping data

RESOLVED FIXED

Status

()

P3
normal
RESOLVED FIXED
3 years ago
10 months ago

People

(Reporter: RyanVM, Unassigned)

Tracking

({intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

3 years ago
07:32:35 INFO - 70 INFO TEST-PASS | browser/base/content/test/general/browser_aboutHealthReport.js | Verifying we can get a payload after re-enabling
07:32:35 INFO - 71 INFO TEST-PASS | browser/base/content/test/general/browser_aboutHealthReport.js | Verifying that we can get the current Telemetry environment data
07:32:35 INFO - 72 INFO Console message: 1434724355483 Toolkit.Telemetry TRACE TelemetryController::getCurrentPingData - subsession: true
07:32:35 INFO - 73 INFO Console message: 1434724355484 Toolkit.Telemetry TRACE TelemetrySession::getPayload - clearSubsession: false
07:32:35 INFO - 74 INFO Console message: 1434724355484 Toolkit.Telemetry TRACE TelemetrySession::gatherMemory - Extended data recording disabled, skipping.
07:32:35 INFO - 75 INFO Console message: 1434724355484 Toolkit.Telemetry TRACE TelemetrySession::getSessionPayload - reason: gather-subsession-payload, clearSubsession: false
07:32:35 INFO - 76 INFO Console message: 1434724355484 Toolkit.Telemetry TRACE TelemetrySession::getSimpleMeasurements
07:32:35 INFO - 77 INFO Console message: 1434724355486 Toolkit.Telemetry TRACE TelemetrySession::getMetadata - Reason gather-subsession-payload
07:32:35 INFO - 78 INFO Console message: 1434724355487 Toolkit.Telemetry TRACE TelemetrySession::getFlashVersion
07:32:35 INFO - 79 INFO Console message: 1434724355487 Toolkit.Telemetry TRACE TelemetrySession::assemblePayloadWithMeasurements - reason: gather-subsession-payload, submitting subsession data: true
07:32:35 INFO - 80 INFO Console message: 1434724355488 Toolkit.Telemetry TRACE TelemetrySession::getHistograms - subsession: true, clearSubsession: false
07:32:35 INFO - 81 INFO Console message: 1434724355493 Toolkit.Telemetry TRACE TelemetrySession::getKeyedHistograms - subsession: true, clearSubsession: false
07:32:35 INFO - 82 INFO Console message: 1434724355494 Toolkit.Telemetry TRACE TelemetryController::assemblePing - Type main, aOptions {"addClientId":true,"addEnvironment":true}
07:32:35 INFO - 83 INFO TEST-PASS | browser/base/content/test/general/browser_aboutHealthReport.js | Verifying that we can get the current Telemetry ping data
07:32:35 INFO - 84 INFO Console message: 1434724355508 Toolkit.Telemetry TRACE TelemetryArchive::promiseArchivedPingList
07:32:35 INFO - 85 INFO Console message: 1434724355510 Toolkit.Telemetry TRACE TelemetryStorage::loadArchivedPingList - Archive already scanned, hitting cache.
07:32:35 INFO - 86 INFO TEST-PASS | browser/base/content/test/general/browser_aboutHealthReport.js | Verifying that we get the proper Telemetry ping list
07:32:35 INFO - 87 INFO Console message: 1434724355517 Toolkit.Telemetry TRACE TelemetryArchive::promiseArchivedPingById - id: 256fa564-d939-49e3-b0e1-5f66659b9402
07:32:35 INFO - 88 INFO Console message: 1434724355518 Toolkit.Telemetry TRACE TelemetryStorage::loadArchivedPing - id: 256fa564-d939-49e3-b0e1-5f66659b9402
07:32:35 INFO - 89 INFO Console message: 1434724355518 Toolkit.Telemetry TRACE TelemetryStorage::loadArchivedPing - loading ping from: c:\users\cltbld\appdata\local\temp\tmpdfrkx7.mozrunner\datareporting\archived\2010-02\1265047200000.256fa564-d939-49e3-b0e1-5f66659b9402.test-telemetryArchive-1.jsonlz4
07:32:35 INFO - 90 INFO Console message: 1434724355527 Toolkit.Telemetry TRACE TelemetryStorage::loadArchivedPing - compressed ping not found, loading: c:\users\cltbld\appdata\local\temp\tmpdfrkx7.mozrunner\datareporting\archived\2010-02\1265047200000.256fa564-d939-49e3-b0e1-5f66659b9402.test-telemetryArchive-1.json
07:32:35 INFO - 91 INFO TEST-UNEXPECTED-FAIL | browser/base/content/test/general/browser_aboutHealthReport.js | Verifying that we can get the proper Telemetry ping data #1 -
07:32:35 INFO - Stack trace:
07:32:35 INFO - chrome://mochitests/content/browser/browser/base/content/test/general/browser_aboutHealthReport.js:evtHandler:88
07:32:35 INFO - https://example.com/browser/browser/base/content/test/general/healthreport_testRemoteCommands.html:reportResult:248
07:32:35 INFO - https://example.com/browser/browser/base/content/test/general/healthreport_testRemoteCommands.html:doTest:236
07:32:35 INFO - null:null:0
07:32:35 INFO - 92 INFO Console message: 1434724355542 Toolkit.Telemetry TRACE TelemetryArchive::promiseArchivedPingById - id: 335cf580-867e-4441-891f-eeaa6d100414
07:32:35 INFO - 93 INFO Console message: 1434724355542 Toolkit.Telemetry TRACE TelemetryStorage::loadArchivedPing - id: 335cf580-867e-4441-891f-eeaa6d100414
07:32:35 INFO - 94 INFO Console message: 1434724355543 Toolkit.Telemetry TRACE TelemetryStorage::loadArchivedPing - loading ping from: c:\users\cltbld\appdata\local\temp\tmpdfrkx7.mozrunner\datareporting\archived\2010-02\1265050800000.335cf580-867e-4441-891f-eeaa6d100414.test-telemetryArchive-2.jsonlz4
07:32:35 INFO - 95 INFO Console message: 1434724355551 Toolkit.Telemetry TRACE TelemetryStorage::loadArchivedPing - compressed ping not found, loading: c:\users\cltbld\appdata\local\temp\tmpdfrkx7.mozrunner\datareporting\archived\2010-02\1265050800000.335cf580-867e-4441-891f-eeaa6d100414.test-telemetryArchive-2.json
07:32:35 INFO - 96 INFO TEST-UNEXPECTED-FAIL | browser/base/content/test/general/browser_aboutHealthReport.js | Verifying that we can get the proper Telemetry ping data #2 -
07:32:35 INFO - Stack trace:
07:32:35 INFO - chrome://mochitests/content/browser/browser/base/content/test/general/browser_aboutHealthReport.js:evtHandler:88
07:32:35 INFO - https://example.com/browser/browser/base/content/test/general/healthreport_testRemoteCommands.html:reportResult:248
07:32:35 INFO - https://example.com/browser/browser/base/content/test/general/healthreport_testRemoteCommands.html:doTest:236
07:32:35 INFO - null:null:0
07:32:35 INFO - 97 INFO Console message: 1434724355558 Toolkit.Telemetry TRACE TelemetryArchive::promiseArchivedPingById - id: cc26b1ad-7b90-4388-891f-e72e2f6818c1
07:32:35 INFO - 98 INFO Console message: 1434724355559 Toolkit.Telemetry TRACE TelemetryStorage::loadArchivedPing - id: cc26b1ad-7b90-4388-891f-e72e2f6818c1
07:32:35 INFO - 99 INFO Console message: 1434724355559 Toolkit.Telemetry TRACE TelemetryStorage::loadArchivedPing - loading ping from: c:\users\cltbld\appdata\local\temp\tmpdfrkx7.mozrunner\datareporting\archived\2010-02\1265054400000.cc26b1ad-7b90-4388-891f-e72e2f6818c1.test-telemetryArchive-3.jsonlz4
07:32:35 INFO - 100 INFO Console message: 1434724355567 Toolkit.Telemetry TRACE TelemetryStorage::loadArchivedPing - compressed ping not found, loading: c:\users\cltbld\appdata\local\temp\tmpdfrkx7.mozrunner\datareporting\archived\2010-02\1265054400000.cc26b1ad-7b90-4388-891f-e72e2f6818c1.test-telemetryArchive-3.json
07:32:35 INFO - 101 INFO TEST-UNEXPECTED-FAIL | browser/base/content/test/general/browser_aboutHealthReport.js | Verifying that we can get the proper Telemetry ping data #3 -
07:32:35 INFO - Stack trace:
07:32:35 INFO - chrome://mochitests/content/browser/browser/base/content/test/general/browser_aboutHealthReport.js:evtHandler:88
07:32:35 INFO - https://example.com/browser/browser/base/content/test/general/healthreport_testRemoteCommands.html:reportResult:248
07:32:35 INFO - https://example.com/browser/browser/base/content/test/general/healthreport_testRemoteCommands.html:doTest:236
07:32:35 INFO - null:null:0
07:32:35 INFO - 102 INFO TEST-PASS | browser/base/content/test/general/browser_aboutHealthReport.js | Checking number of results received matches the number of tests that should have run
07:32:35 INFO - --DOCSHELL 21CF9400 == 15 [pid = 4024] [id = 58]
07:32:35 INFO - [4024] WARNING: NS_ENSURE_SUCCESS(EnsureScriptEnvironment(), nullptr) failed with result 0x80040111: file c:/builds/moz2_slave/b2g-in-w32-d-00000000000000000/build/src/docshell/base/nsDocShell.cpp, line 4605
07:32:35 INFO - MEMORY STAT | vsize 652MB | vsizeMaxContiguous 546MB | residentFast 301MB | heapAllocated 75MB
07:32:35 INFO - 103 INFO TEST-OK | browser/base/content/test/general/browser_aboutHealthReport.js | took 15478ms
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 5

Platform breakdown:
* windows8-64: 4
* osx-10-6: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1176373&startday=2015-12-14&endday=2015-12-20&tree=all

Comment 7

2 years ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3
1 failures in 885 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-esr52: 1

Platform breakdown:
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1176373&startday=2017-09-25&endday=2017-10-01&tree=all
9 failures in 744 pushes (0.012 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-central: 9

Platform breakdown:
* windows7-32: 3
* windows10-64: 3
* osx-10-10: 2
* macosx64-nightly: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1176373&startday=2017-11-20&endday=2017-11-26&tree=all

Updated

10 months ago
Depends on: 1352497

Comment 10

10 months ago
bug 1352497 removed this test (as part of removing the whole thing).
Status: NEW → RESOLVED
Last Resolved: 10 months ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.